## kf6-extra-cmake-modules 6.12.0

=== CMakeLists.txt ===
#=============================================================================
# SPDX-FileCopyrightText: 2006-2013 Alex Neundorf <neundorf@kde.org>
# SPDX-FileCopyrightText: 2014-2015 Alex Merry <alex.merry@kde.org>
#
# SPDX-License-Identifier: BSD-3-Clause
#=============================================================================

cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

#
# Preliminary setup
#

set(VERSION "6.12.0") # handled by release scripts

project(ECM
    VERSION "${VERSION}"
    LANGUAGES NONE
)

#
# Includes
#

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

include(FeatureSummary)


#
# Installation paths
#

set(SHARE_INSTALL_DIR share
    CACHE
    PATH
    "read-only architecture-independent data"
)

set(CMAKECONFIG_INSTALL_DIR       ${SHARE_INSTALL_DIR}/ECM/cmake/)

set(FIND_MODULES_INSTALL_DIR      ${SHARE_INSTALL_DIR}/ECM/find-modules/)
set(KDE_MODULES_INSTALL_DIR       ${SHARE_INSTALL_DIR}/ECM/kde-modules/)
set(MODULES_INSTALL_DIR           ${SHARE_INSTALL_DIR}/ECM/modules/)
set(TOOLCHAIN_MODULES_INSTALL_DIR ${SHARE_INSTALL_DIR}/ECM/toolchain/)

set(DOC_INSTALL_DIR ${SHARE_INSTALL_DIR}/doc/ECM
    CACHE
    PATH
    "HTML and QtHelp documentation"
)
set(MAN_INSTALL_DIR ${SHARE_INSTALL_DIR}/man
    CACHE
    PATH
    "man pages"
)


#
# Documentation
#

option(BUILD_DOC "Build documentation." ON)
add_feature_info(BUILD_DOC BUILD_DOC "Build documentation.")
if(BUILD_DOC)
    add_subdirectory(docs)
endif()


#
# Tests
#

option(BUILD_TESTING "Build automated tests." ON)
add_feature_info(BUILD_TESTING BUILD_TESTING "Build automated tests.")
if(BUILD_TESTING)
    enable_testing()
    add_subdirectory(tests)
endif()


#
# Install modules
#

file(GLOB installModuleFiles ${CMAKE_SOURCE_DIR}/modules/*[^~])
install(FILES ${installModuleFiles} DESTINATION ${MODULES_INSTALL_DIR})

file(GLOB installTestModuleFiles ${CMAKE_SOURCE_DIR}/test-modules/*[^~])
install(FILES ${installTestModuleFiles} DESTINATION ${SHARE_INSTALL_DIR}/ECM/test-modules)

file(GLOB installKdeModuleFiles LIST_DIRECTORIES FALSE ${CMAKE_SOURCE_DIR}/kde-modules/*[^~])
install(FILES ${installKdeModuleFiles} DESTINATION ${KDE_MODULES_INSTALL_DIR})
# The scripts need to be executable
file(GLOB installKDECommitHooks ${CMAKE_SOURCE_DIR}/kde-modules/kde-git-commit-hooks/*[^~])
install(PROGRAMS ${installKDECommitHooks} DESTINATION ${KDE_MODULES_INSTALL_DIR}/kde-git-commit-hooks)

file(GLOB installFindModuleFiles ${CMAKE_SOURCE_DIR}/find-modules/*.cmake ${CMAKE_SOURCE_DIR}/find-modules/*.py)
install(FILES ${installFindModuleFiles} DESTINATION ${FIND_MODULES_INSTALL_DIR})

file(GLOB installToolchainModuleFiles ${CMAKE_SOURCE_DIR}/toolchain/*[^~])
install(FILES ${installToolchainModuleFiles} DESTINATION ${TOOLCHAIN_MODULES_INSTALL_DIR})


#
# Config.cmake file
#

include(CMakePackageConfigHelpers)

configure_package_config_file(
    ECMConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/ECMConfig.cmake
    INSTALL_DESTINATION
        ${CMAKECONFIG_INSTALL_DIR}
    PATH_VARS
        FIND_MODULES_INSTALL_DIR
        KDE_MODULES_INSTALL_DIR
        MODULES_INSTALL_DIR
)

write_basic_package_version_file(
    ${CMAKE_CURRENT_BINARY_DIR}/ECMConfigVersion.cmake
    VERSION
        "${PROJECT_VERSION}"
    COMPATIBILITY
        AnyNewerVersion
)

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/ECMConfig.cmake
        ${CMAKE_CURRENT_BINARY_DIR}/ECMConfigVersion.cmake
    DESTINATION
        ${CMAKECONFIG_INSTALL_DIR}
)


#
# Packaging
#

set(CPACK_PACKAGE_NAME extra-cmake-modules)
set(CPACK_PACKAGE_VERSION ${PROJECT_VERSION})
set(CPACK_SYSTEM_NAME "generic")
set(CPACK_GENERATOR "TGZ")
set(CPACK_SET_DESTDIR FALSE)

include(CPack)


#
# Feature summary
#

feature_summary(
    FATAL_ON_MISSING_REQUIRED_PACKAGES
    WHAT ALL
)

=== tests/ECMSetupVersionTest/CMakeLists.txt ===
macro(add_version_test NAME COMMAND)
  string(REPLACE "." "/" dir "${NAME}")
  string(REGEX REPLACE "[^.]*\\." "" proj "${NAME}")
  add_test(ecm_setup_version-${NAME} ${CMAKE_CTEST_COMMAND}
    --build-and-test
    "${CMAKE_CURRENT_SOURCE_DIR}/${dir}"
    "${CMAKE_CURRENT_BINARY_DIR}/${dir}"
    --build-two-config
    --build-generator ${CMAKE_GENERATOR}
    --build-makeprogram ${CMAKE_MAKE_PROGRAM}
    --build-project ${proj}
    ${${NAME}_EXTRA_OPTIONS}
    --test-command ${COMMAND} ${ARGN})
endmacro()

add_version_test(old_simple dummy)
add_version_test(old_simple_no_version_string_vars dummy)
add_version_test(old_soversion dummy)
add_version_test(old_version_file dummy)
add_version_test(old_version_file_abspath dummy)
add_version_test(old_version_file_anynewer dummy)
add_version_test(old_version_file_exact dummy)
add_version_test(old_version_file_samemajor dummy)
add_version_test(old_header check_header)
add_version_test(old_header_abspath check_header)

add_version_test(new_explicit_header check_header)
add_version_test(new_explicit_header_abspath check_header)
add_version_test(new_explicit_simple dummy)
add_version_test(new_explicit_simple_no_version_string_vars dummy)
add_version_test(new_explicit_soversion dummy)
add_version_test(new_explicit_version_file dummy)
add_version_test(new_explicit_version_file_abspath dummy)
add_version_test(new_project_header check_header)
add_version_test(new_project_header_abspath check_header)
add_version_test(new_project_header_prefix check_header)
add_version_test(new_project_header_zero_prefixed_version check_header)
add_version_test(new_project_header_expected_zero_version check_header)
add_version_test(new_project_simple dummy)
add_version_test(new_project_simple_no_version_string_vars dummy)
add_version_test(new_project_simple_prefix dummy)
add_version_test(new_project_soversion dummy)
add_version_test(new_project_soversion_prefix dummy)
add_version_test(new_project_version_file dummy)
add_version_test(new_project_version_file_abspath dummy)

=== tests/ECMSetupVersionTest/new_explicit_simple_no_version_string_vars/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(new_explicit_simple VERSION 1.5.6.7)

# trigger *_VERSION_STRING vars no longer being set
set(ECM_GLOBAL_FIND_VERSION 5.83)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../../modules)
include(ECMSetupVersion)

ecm_setup_version(2.3.4 VARIABLE_PREFIX Foo)

include(../version_helpers.cmake)
project_version_var_checks(1.5.6.7)
version_var_checks(Foo 2.3.4)
assert_var_num_value(Foo_SOVERSION 2)

add_executable(dummy main.c)

=== tests/ECMSetupVersionTest/new_project_simple_no_version_string_vars/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(new_project_simple VERSION 2.3.4)

# trigger *_VERSION_STRING vars no longer being set
set(ECM_GLOBAL_FIND_VERSION 5.83)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/../../../modules)
include(ECMSetupVersion)

ecm_setup_version(PROJECT)

include(../version_helpers.cmake)
# NB: name comes from project() command
standard_version_var_checks(new_project_simple 2.3.4)

add_executable(dummy main.c)

## kf6-extra-cmake-modules 6.6.0

=== debian/changelog ===
kf6-extra-cmake-modules (6.6.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Fix Vcs-* fields to target the new kf6-extra-cmake-modules repo.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 13 Sep 2024 23:05:51 +0200

kf6-extra-cmake-modules (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Rename source to kf6-extra-cmake-modules to match what we have for every
    other KF6 package.
  * Drop obsolete Breaks / Replaces.
  * Modernize building by using dh-sequence build-dependencies and dropping
    manually specified addons and buildsystems for dh.
  * New upstream release (6.6.0).
  * Fix permissions of installed files.
  * Drop obsolede lintian override.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 22:58:56 +0200

extra-cmake-modules (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:21:54 +0200

extra-cmake-modules (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Add lintian override for not depending on Python.
  * Review copyright information.
  * Add lintian override for nonsensical built-using-field-on-arch-all-package
    (See #999785).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 00:52:52 +0200

extra-cmake-modules (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Standards-Version to 4.7.0 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:43:48 +0200

extra-cmake-modules (6.1.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0), closes: #1069972.

 -- Patrick Franz <deltaone@debian.org>  Sat, 27 Apr 2024 23:30:30 +0200

extra-cmake-modules (6.0.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 23 Mar 2024 10:11:05 +0100

extra-cmake-modules (6.0.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.0.0).
  * Update build-dependencies.
  * Switch back to stable releases.

 -- Patrick Franz <deltaone@debian.org>  Wed, 28 Feb 2024 18:36:02 +0100

extra-cmake-modules (5.249.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.249.0).
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.
  * Switch to unstable releases and update the signing keys.
  * Suggest Qt 6 instead of Qt 5.
  * Update descriptions.

 -- Patrick Franz <deltaone@debian.org>  Wed, 31 Jan 2024 20:25:01 +0100

extra-cmake-modules (5.107.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Remove python3-distutils build-dependency (Closes: #1065857).

 -- Patrick Franz <deltaone@debian.org>  Sun, 10 Mar 2024 17:21:58 +0100

extra-cmake-modules (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * New upstream release (5.107.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:23 +0200

extra-cmake-modules (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:45 +0100

extra-cmake-modules (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:20 +0100

extra-cmake-modules (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Bump Standards-Version to 4.6.2, no change required.
  * Refresh patches.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:34:58 +0100

extra-cmake-modules (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:18 +0100

extra-cmake-modules (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Drop patch add_hurd_as_supported_platform.diff, it should not be
    needed anymore now that we demoted the unsupported platforms error
    to a warning.
  * New upstream release (5.99.0).
  * New upstream release (5.100.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:18:54 +0100

extra-cmake-modules (5.98.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Add patch to demote unsupported platform error to a warning so
    upstream unsupported platforms like Hurd can build in Debian without
    additional hacks.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 05 Oct 2022 13:46:03 +0200

extra-cmake-modules (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Add patch to re-add Hurd as a supported platform. It was lost when
    upstream defined the concept of supported platforms but was
    previously building fine in Debian.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:32 +0200

extra-cmake-modules (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:24 +0200

extra-cmake-modules (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:32:53 +0200

extra-cmake-modules (5.94.0-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Drop patch to disable fatal warnings as the issue has been fixed in
    binutils.

 -- Patrick Franz <deltaone@debian.org>  Thu, 30 Jun 2022 19:38:55 +0200

extra-cmake-modules (5.94.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.


=== debian/control ===
Source: kf6-extra-cmake-modules
Section: devel
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               libjs-jquery (>= 3.5.1+dfsg-3) <!nodoc>,
               libjs-underscore <!nodoc>,
               python3-setuptools <!nodoc>,
               python3-sphinx (>= 1.2~) <!nodoc>,
               python3-sphinxcontrib.qthelp <!nodoc>,
               python3-sphinxcontrib.serializinghtml <!nodoc>,
Build-Depends-Indep: dh-sequence-sphinxdoc,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/frameworks/extra-cmake-modules
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-extra-cmake-modules
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-extra-cmake-modules.git

Package: extra-cmake-modules
Architecture: any
Depends: ${misc:Depends},
Suggests: qt6-base-dev,
Description: Extra modules and scripts for CMake
 Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It
 serves as both a staging ground for new modules before they are moved upstream
 to CMake and a place for modules that, for whatever reason, are not a good fit
 for CMake itself.
 .
 It is primarily driven by the needs of the KDE community, but it is hoped that
 other projects will find it useful, and outside contributions are always
 welcome. The main rule for new modules is that there must be at least two
 downstream users.

Package: extra-cmake-modules-doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Section: doc
Built-Using: ${sphinxdoc:Built-Using},
Depends: ${misc:Depends}, ${sphinxdoc:Depends},
Description: Extra modules and scripts for CMake - documentation
 Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It
 serves as both a staging ground for new modules before they are moved upstream
 to CMake and a place for modules that, for whatever reason, are not a good fit
 for CMake itself.
 .
 It is primarily driven by the needs of the KDE community, but it is hoped that
 other projects will find it useful, and outside contributions are always
 welcome. The main rule for new modules is that there must be at least two
 downstream users.
 .
 This package contains HTML documentation and man pages.

## kf6-extra-cmake-modules 6.9.0

=== debian/changelog ===
kf6-extra-cmake-modules (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:44:03 +0000

kf6-extra-cmake-modules (6.8.0-0ubuntu3) plucky; urgency=medium

  * Need a revision higher than the old extra-cmake-modules source.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2024 10:28:37 +0000

kf6-extra-cmake-modules (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.8.0)
  * Pass -DBUILD_TESTING=OFF to configure.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2024 10:01:27 +0000

## kf6-extra-cmake-modules 6.10.0

=== debian/changelog ===
kf6-extra-cmake-modules (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:20:19 +0100

kf6-extra-cmake-modules (6.8.0-2) unstable; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: Reduce Build-Depends. (Closes: #1022961)
  * Enable kde_package_app_templates also for crosscompilation. (Closes: #1084874)

 -- Sandro Knauß <hefee@debian.org>  Tue, 10 Dec 2024 23:41:30 +0100

kf6-extra-cmake-modules (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 13:46:57 +0100

kf6-extra-cmake-modules (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:22 -0600

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,21 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               libjs-jquery (>= 3.5.1+dfsg-3) <!nodoc>,
-               libjs-underscore <!nodoc>,
-               python3-setuptools <!nodoc>,
-               python3-sphinx (>= 1.2~) <!nodoc>,
-               python3-sphinxcontrib.qthelp <!nodoc>,
-               python3-sphinxcontrib.serializinghtml <!nodoc>,
+               cmake (>= 3.16~),
+               python3-sphinx:native (>= 1.2~) <!nodoc>,
+               python3-sphinxcontrib.qthelp:native <!nodoc>,
+               qt6-tools-dev,
+               qtbase5-dev,
+               qtdeclarative5-dev,
+               qttools5-dev-tools,
 Build-Depends-Indep: dh-sequence-sphinxdoc,
+                     libjs-jquery (>= 3.5.1+dfsg-3) <!nodoc>,
+                     libjs-underscore <!nodoc>,
+                     python3-setuptools <!nodoc>,
+                     python3-sphinxcontrib.serializinghtml <!nodoc>,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/frameworks/extra-cmake-modules

## kf6-extra-cmake-modules 6.11.0

=== debian/changelog ===
kf6-extra-cmake-modules (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Replace cross-compilation support patch with a backport of
    upstream’s official solution.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 16:57:04 +0100

## kf6-extra-cmake-modules 6.12.0

=== debian/changelog ===
kf6-extra-cmake-modules (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:49:18 +0000

kf6-extra-cmake-modules (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:45:14 +0000

kf6-extra-cmake-modules (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 11:14:24 +0000

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,31 @@
 Source: kf6-extra-cmake-modules
 Section: devel
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
-               python3-sphinx:native (>= 1.2~) <!nodoc>,
-               python3-sphinxcontrib.qthelp:native <!nodoc>,
-               qt6-tools-dev,
-               qtbase5-dev,
-               qtdeclarative5-dev,
-               qttools5-dev-tools,
+               libjs-jquery (>= 3.5.1+dfsg-3) <!nodoc>,
+               libjs-underscore <!nodoc>,
+               python3-setuptools <!nodoc>,
+               python3-sphinx (>= 1.2~) <!nodoc>,
+               python3-sphinxcontrib.qthelp <!nodoc>,
+               python3-sphinxcontrib.serializinghtml <!nodoc>,
 Build-Depends-Indep: dh-sequence-sphinxdoc,
-                     libjs-jquery (>= 3.5.1+dfsg-3) <!nodoc>,
-                     libjs-underscore <!nodoc>,
-                     python3-setuptools <!nodoc>,
-                     python3-sphinxcontrib.serializinghtml <!nodoc>,
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/frameworks/extra-cmake-modules
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-extra-cmake-modules
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-extra-cmake-modules.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-extra-cmake-modules
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-extra-cmake-modules
 
 Package: extra-cmake-modules
 Architecture: any
-Depends: ${misc:Depends},
+Depends: python3,
+         ${misc:Depends},
 Suggests: qt6-base-dev,
 Description: Extra modules and scripts for CMake
  Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It

## kf6-extra-cmake-modules 6.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # Preliminary setup
 #
 
-set(VERSION "6.12.0") # handled by release scripts
+set(VERSION "6.13.0") # handled by release scripts
 
 project(ECM
     VERSION "${VERSION}"

=== tests/ECMAddAppIconTest/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ECMAddAppIconTest)

set(CMAKE_MODULE_PATH
    ${CMAKE_CURRENT_SOURCE_DIR}/../../modules
    ${CMAKE_CURRENT_SOURCE_DIR}/../../find-modules
)

include(ECMAddAppIcon)

if(WIN32)
    set(icon_extension_to_test "rc")
elseif(APPLE)
    set(icon_extension_to_test "icns")
endif()

#### Test 1: ecm_add_app_icon with only regular icons and no OUTFILE_BASENAME, for sources var ####
set(ICONS_1 16-category-name.png 128-category-name.png)
ecm_add_app_icon(OUT_1 ICONS ${ICONS_1})

list(LENGTH OUT_1 out_count)

if(WIN32 OR APPLE)
    if(out_count EQUAL 0)
        message(FATAL_ERROR "ecm_add_app_icon() hasn't produced anything")
    endif()

    if(NOT OUT_1 MATCHES "OUT_1.${icon_extension_to_test}")
        message(FATAL_ERROR "ecm_add_app_icon() did not fall back to target name for icon name: ${OUT_1}")
    endif()
else()
    if(NOT out_count EQUAL 0)
        message(FATAL_ERROR "ecm_add_app_icon() produced something unexpectedly.")
    endif()
endif()

add_custom_target(t_1 ALL DEPENDS ${OUT_1})
list(APPEND OUT "${OUT_1}")

#### Test 2: ecm_add_app_icon with regular and sidebar icons and OUTFILE_BASENAME set, for sources var ####
set(ICONS_2 16-category-name.png 128-category-name.png)
set(SIDEBAR_ICONS_2 16-category-name-sidebar.png 128-category-name-sidebar.png)

ecm_add_app_icon(OUT_2 ICONS ${ICONS_2} SIDEBAR_ICONS ${SIDEBAR_ICONS_2} OUTFILE_BASENAME "SuperBasename")

list(LENGTH OUT_2 out_count)

if(WIN32 OR APPLE)
    if(out_count EQUAL 0)
        message(FATAL_ERROR "ecm_add_app_icon() hasn't produced anything")
    endif()

    if(NOT OUT_2 MATCHES "SuperBasename.${icon_extension_to_test}")
        message(FATAL_ERROR "ecm_add_app_icon() did not respect OUTFILE_BASENAME: ${OUT_2}")
    endif()
else()
    if(NOT out_count EQUAL 0)
        message(FATAL_ERROR "ecm_add_app_icon() produced something unexpectedly.")
    endif()
endif()

if(APPLE)
    list(APPEND expected_icons "icon_16x16.png" "icon_128x128.png" "sidebar_16x16.png" "sidebar_32x32.png")
    foreach(expected_icon ${expected_icons})
        list(APPEND OUT_2 "${CMAKE_CURRENT_BINARY_DIR}/SuperBasename.iconset/${expected_icon}")
    endforeach()
endif()

add_custom_target(t_2 ALL DEPENDS ${OUT_2})
list(APPEND OUT "${OUT_2}")

#### Test 3: ecm_add_app_icon with only regular icons and no OUTFILE_BASENAME, for target  ####
set(ICONS_3 16-category-name.png 128-category-name.png)

add_executable(app_3)
target_sources(app_3 PRIVATE main.cpp)

ecm_add_app_icon(app_3 ICONS ${ICONS_1})

get_target_property(OUT_3 app_3 SOURCES)
list(REMOVE_ITEM OUT_3 main.cpp)
list(LENGTH OUT_3 out_count)

if(WIN32 OR APPLE)
    if(out_count EQUAL 0)
        message(FATAL_ERROR "ecm_add_app_icon() hasn't produced anything")
    endif()

    if(NOT OUT_3 MATCHES "app_3.${icon_extension_to_test}")
        message(FATAL_ERROR "ecm_add_app_icon() did not fall back to target name for icon name: ${OUT_1}")
    endif()
else()
    if(NOT out_count EQUAL 0)
        message(FATAL_ERROR "ecm_add_app_icon() produced something unexpectedly.")
    endif()
endif()

list(APPEND OUT "${OUT_3}")

#### Test 4: ecm_add_app_icon with regular and sidebar icons and OUTFILE_BASENAME set, for target ####
set(ICONS_4 16-category-name.png 128-category-name.png)
set(SIDEBAR_ICONS_4 16-category-name-sidebar.png 128-category-name-sidebar.png)

add_executable(app_4)
target_sources(app_4 PRIVATE main.cpp)

ecm_add_app_icon(app_4 ICONS ${ICONS_4} SIDEBAR_ICONS ${SIDEBAR_ICONS_4} OUTFILE_BASENAME "SuperBasename4")

get_target_property(OUT_4 app_4 SOURCES)
list(REMOVE_ITEM OUT_4 main.cpp)
list(LENGTH OUT_4 out_count)

if(WIN32 OR APPLE)
    if(out_count EQUAL 0)
        message(FATAL_ERROR "ecm_add_app_icon() hasn't produced anything")
    endif()

    if(NOT OUT_4 MATCHES "SuperBasename4.${icon_extension_to_test}")
        message(FATAL_ERROR "ecm_add_app_icon() did not respect OUTFILE_BASENAME: ${OUT_4}")
    endif()
else()
    if(NOT out_count EQUAL 0)
        message(FATAL_ERROR "ecm_add_app_icon() produced something unexpectedly.")
    endif()
endif()

if(APPLE)
    list(APPEND expected_icons "icon_16x16.png" "icon_128x128.png" "sidebar_16x16.png" "sidebar_32x32.png")
    foreach(expected_icon ${expected_icons})
        list(APPEND OUT_4 "${CMAKE_CURRENT_BINARY_DIR}/SuperBasename4.iconset/${expected_icon}")
    endforeach()
endif()

list(APPEND OUT "${OUT_4}")

#### this will be run by CTest ####
configure_file(check_files.cmake.in "${CMAKE_CURRENT_BINARY_DIR}/check_files.cmake" @ONLY)

=== debian/changelog ===
kf6-extra-cmake-modules (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Remove patches that have been applied upstream.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:33:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,33 @@
 Source: kf6-extra-cmake-modules
 Section: devel
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               libjs-jquery (>= 3.5.1+dfsg-3) <!nodoc>,
-               libjs-underscore <!nodoc>,
-               python3-setuptools <!nodoc>,
-               python3-sphinx (>= 1.2~) <!nodoc>,
-               python3-sphinxcontrib.qthelp <!nodoc>,
-               python3-sphinxcontrib.serializinghtml <!nodoc>,
+               cmake (>= 3.16~),
+               python3-sphinx:native (>= 1.2~) <!nodoc>,
+               python3-sphinxcontrib.qthelp:native <!nodoc>,
+               qt6-tools-dev,
+               qtbase5-dev,
+               qtdeclarative5-dev,
+               qttools5-dev-tools,
 Build-Depends-Indep: dh-sequence-sphinxdoc,
-Standards-Version: 4.7.0
+                     libjs-jquery (>= 3.5.1+dfsg-3) <!nodoc>,
+                     libjs-underscore <!nodoc>,
+                     python3-setuptools <!nodoc>,
+                     python3-sphinxcontrib.serializinghtml <!nodoc>,
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/frameworks/extra-cmake-modules
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-extra-cmake-modules
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-extra-cmake-modules
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-extra-cmake-modules
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-extra-cmake-modules.git
 
 Package: extra-cmake-modules
 Architecture: any
-Depends: python3,
-         ${misc:Depends},
+Depends: ${misc:Depends},
 Suggests: qt6-base-dev,
 Description: Extra modules and scripts for CMake
  Extra CMake Modules, or ECM, aims to augment CMake with additional modules. It

## kf6-extra-cmake-modules 6.16.0

=== tests/ECMAddTests/CMakeLists.txt ===
if (QT_MAJOR_VERSION EQUAL "6")
    set(QT_VERSION_OPT "-DBUILD_WITH_QT6=ON")
else()
    set(QT_VERSION_OPT "-DBUILD_WITH_QT6=OFF")
endif()

macro(add_check NAME)
    string(REPLACE "." "/" dir "${NAME}")
    string(REGEX REPLACE "[^.]*\\." "" proj "${NAME}")
    add_test(
        NAME ecm_add_tests-${NAME}
        COMMAND
            ${CMAKE_CTEST_COMMAND}
            --build-and-test
            "${CMAKE_CURRENT_SOURCE_DIR}/${dir}"
            "${CMAKE_CURRENT_BINARY_DIR}/${dir}"
            --build-two-config
            --build-generator ${CMAKE_GENERATOR}
            --build-makeprogram ${CMAKE_MAKE_PROGRAM}
            --build-project ${proj}
            --build-options -DBUILD_TESTING:BOOL=ON ${QT_VERSION_OPT}
            ${${NAME}_EXTRA_OPTIONS}
            --test-command "${CMAKE_CTEST_COMMAND}"
        )
    add_test(
        NAME ecm_add_tests_did_run-${NAME}
        COMMAND "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_SOURCE_DIR}/check_files.cmake" ${ARGN}
        WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/${dir}"
        )
    set_property(TEST ecm_add_tests_did_run-${NAME}
        APPEND
        PROPERTY DEPENDS "ecm_add_tests-${NAME}"
        )
endmacro()

add_check(single_tests
    test1.txt
    test2.txt
    test3.txt
    test4.txt
    test5.txt
    test6.txt
    test7_dir/test7.txt
    )
add_check(multi_tests
    test1.txt
    test2.txt
    test3.txt
    test4.txt
    test5.txt
    test6.txt
    test7.txt
    test8.txt
    test9.txt
    test1011_dir/test10.txt
    test1011_dir/test11.txt
    )

=== debian/changelog ===
kf6-extra-cmake-modules (6.16.0-0ubuntu2) questing; urgency=medium

  * KDECompilerSettings.cmake: For now do not pass -Wl,--fatal-warnings
    to the linker.

 -- Rik Mills <rikmills@kde.org>  Wed, 06 Aug 2025 18:51:28 +0100

kf6-extra-cmake-modules (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:38:59 +0100

kf6-extra-cmake-modules (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:30:43 +0100

kf6-extra-cmake-modules (6.14.0-0ubuntu2) questing; urgency=medium

  * Sync changes from 6.13.0-1
  * Add .gitattributes for git dpkg-mergechangelogs merge driver.

 -- Rik Mills <rikmills@kde.org>  Sun, 11 May 2025 07:47:45 +0100

kf6-extra-cmake-modules (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 06:55:06 +0100
